FlxpointAPI Help CenterBeta

Get Mapping Set Item

gethttps://api.flxpoint.com/mapping-set/{id}/item

Use this when you want to pull mappingset data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Get a single mapping item

Request

Query parameters
  • itemIdqueryinteger

    Get by ID

  • fromValuequerystring

    Get by fromValue

Example request

get/mapping-set/{id}/item
curl -X GET "https://api.flxpoint.com/mapping-set/{id}/item" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
idinteger
mappingSetIdinteger
createdByUserIdinteger
createdAtstring (date-time)
updatedAtstring (date-time)
fromValuestringrequired
toValuestring
Example response
{
  "id": 0,
  "mappingSetId": 0,
  "createdByUserId": 0,
  "createdAt": "2026-04-20T00:00:00Z",
  "updatedAt": "2026-04-20T00:00:00Z",
  "fromValue": "string",
  "toValue": "string"
}
400Bad Request

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Mapping Set Item",
    "description": "Get a single mapping item",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "itemId",
        "description": "Get by ID"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "fromValue",
        "description": "Get by fromValue"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/MappingSetItem"
            }
          }
        }
      },
      "400": {
        "description": "Bad Request"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight